Package org.jfree.layouting.renderer.model.table.cols

## Class SpearateColumnModel

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cols.AbstractColumnModel
  - - org.jfree.layouting.renderer.model.table.cols.SpearateColumnModel

- All Implemented Interfaces:
    `java.lang.Cloneable`, `TableColumnModel`

      public class SpearateColumnModel
      extends AbstractColumnModel

  Creation-Date: 18.07.2006, 16:46:11
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpearateColumnModel​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getBorderSpacing​()` |
    `long` | `getMaximumBoxSize​()` |
    `long` | `getMinimumChunkSize​()` |
    `long` | `getPreferredSize​()` |
    `void` | `validateSizes​(TableRenderBox table)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.model.table.cols.AbstractColumnModel

      `addAutoColumn, addColumnGroup, clone, getColumn, getColumnCount, getColumnGroup, getColumnGroupCount, getColumns, getGroupForIndex, isIncrementalModeSupported, isValidated`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpearateColumnModel

          public SpearateColumnModel​()

  - ### Method Detail

    - #### validateSizes

          public void validateSizes​(TableRenderBox table)

    - #### getPreferredSize

          public long getPreferredSize​()

    - #### getMaximumBoxSize

          public long getMaximumBoxSize​()

    - #### getMinimumChunkSize

          public long getMinimumChunkSize​()

    - #### getBorderSpacing

          public long getBorderSpacing​()

      Specified by:
        `getBorderSpacing` in interface `TableColumnModel`
      Overrides:
        `getBorderSpacing` in class `AbstractColumnModel`